## python-chemspipy 2.0.0

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = ChemSpiPy
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
python-chemspipy (2.0.0-3) unstable; urgency=medium

  * Add python3-six as build-dependency

 -- Miriam España Acebal <miriam.espana@canonical.com>  Wed, 05 Jun 2024 18:29:48 +0200

python-chemspipy (2.0.0-2) unstable; urgency=medium

  * No-changes source-only upload.

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Wed, 03 Jan 2024 00:30:00 +0000

python-chemspipy (2.0.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1059240)

 -- Yogeswaran Umasankar <kd8mbd@gmail.com>  Sun, 31 Dec 2023 15:00:00 +0000

=== debian/control ===
Source: python-chemspipy
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Yogeswaran Umasankar <kd8mbd@gmail.com>
Homepage: https://github.com/mcs07/ChemSpiPy
Vcs-Git: https://salsa.debian.org/python-team/packages/python-chemspipy.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-chemspipy
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               python3-setuptools,
               dh-python,
               python3-all,
               python3-pytest <!nocheck>,
               python3-requests <!nocheck>,
               python3-six <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.6.2
Testsuite: autopkgtest-pkg-pybuild

Package: python3-chemspipy
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: ChemSpiPy provides a way to interact with
 ChemSpider in Python. It allows chemical searches,
 chemical file downloads, depiction and retrieval of
 chemical properties.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=chemspipy
#Disabled tests needing internet access
export PYBUILD_TEST_ARGS=-k 'not test_api and not test_compound and not test_search'

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/mcs07/ChemSpiPy/tags .*/v(\d\S+)\.tar\.gz
